package com.kingdee.eas.custom.projectbonus.web.vo;

/**
 * @Description TODO
 * @Date 2024/4/28 10:39
 * @Created by Heyuan
 */
public class F7Json {
    // 子部件名称
    private String subWidgetName ="shrPromptGrid";
    // 搜索字段
    private String searchFields;
    // 子部件选项
    private SubWidgetOptions subWidgetOptions;
    // 是否为HR组织
    private boolean isHROrg = false;
    // 是否为管理员组织
    private boolean isAdminOrg = false;
    // 搜索模式
    private String searchLikePattern ="any";

    public String getSubWidgetName() {
        return subWidgetName;
    }

    public void setSubWidgetName(String subWidgetName) {
        this.subWidgetName = subWidgetName;
    }

    public String getSearchFields() {
        return searchFields;
    }

    public void setSearchFields(String searchFields) {
        this.searchFields = searchFields;
    }

    public SubWidgetOptions getSubWidgetOptions() {
        if (subWidgetOptions == null) {
            this.subWidgetOptions = new SubWidgetOptions();
        }
        return subWidgetOptions;
    }

    public void setSubWidgetOptions(SubWidgetOptions subWidgetOptions) {
        this.subWidgetOptions = subWidgetOptions;
    }

    public boolean isHROrg() {
        return isHROrg;
    }

    public void setHROrg(boolean HROrg) {
        isHROrg = HROrg;
    }

    public boolean isAdminOrg() {
        return isAdminOrg;
    }

    public void setAdminOrg(boolean adminOrg) {
        isAdminOrg = adminOrg;
    }

    public String getSearchLikePattern() {
        return searchLikePattern;
    }

    public void setSearchLikePattern(String searchLikePattern) {
        this.searchLikePattern = searchLikePattern;
    }
}
